<?php
//header("Content-Type: text/html; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=CreditoHipotecario.xls");
set_time_limit(150);
ini_set('memory_limit', '96M');
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');

use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new CrCreditoCronoFN();

if($s_Estado         !=""){ $o_ObjectBean->setEstado($s_Estado); }
if($txtDni           !=""){ $o_ObjectBean->setDni($txtDni); }
if($cboMercado       !=""){ $o_ObjectBean->setIdMercado($cboMercado); }
if($txtNombre        !="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre        !="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre        !="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($txtNuemroCliente !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); }
if($s_Moneda         !=""){ $o_ObjectBean->setMoneda($s_Moneda); }
if($txtNuemroCredito         !=""){ $o_ObjectBean->setIdcreditocrono($txtNuemroCredito); }
if($s_Tipo         !=""){ $o_ObjectBean->setTipocredito($s_Tipo); }

$o_ObjectBean->setEliminado( '-1' );


////////////////////////////////////////////////////////////////////////////////////////////////////
//PARAMETROS POR DEFECTO
if (!isset($sortCampos)){ $sortCampos = "Idcreditocrono"; $sortType = "1"; }
//if (!isset($sortCampos)){ $sortCampos = ""; $sortType = ""; }
$tamanioPag = 9999;
if(!isset($page)) $page = 1;
$a_ObjectBean = array();
$valuesSort   = array();

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
if( $o_ObjectBean )
{
    $o_ObjectBean->page = $page;
    $o_ObjectBean->tamPag = $tamanioPag;
    $o_ObjectBean->sortCampos = $sortCampos;
    $o_ObjectBean->sortType   = $sortType;
    
    $a_ObjectBean = $o_ObjectBean->buscarHipotecaCliente();
    if( $a_ObjectBean )
    $o_navigation->setTotalRegistros($o_ObjectBean->selectNumRows());
    $valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);
}
ob_clean();

ViewResponse::getInstance()->setMethodAjax();
  
?>

<table  border="0" cellpadding="0" cellspacing="0" width="100%">
    
    <tr>
        <td>
            <table border="" border="1" cellpadding="2" cellspacing="0">
                <tr height="23">
                    <th width="5%" nowrap="nowrap">Nro</th>
                    <th width="6%" align="left" nowrap="nowrap">N.Cli.</th>
                    <th width="20%" align="left" nowrap="nowrap">Cliente</th>
                    <th width="10%" nowrap="nowrap">No Cr&eacute;dito</th>
                    <th width="8%" nowrap="nowrap">F.Oper.</th>
                    <th width="10%" nowrap="nowrap"># Cuotas</th>
                    <th width="10%" nowrap="nowrap">Moneda</th>
                    <th width="10%" nowrap="nowrap">Mont Capital</th>
                    <th width="10%" nowrap="nowrap">Mont Total</th>
                    <th width="10%" nowrap="nowrap">Descuento</th>
                    <th width="10%" nowrap="nowrap">Estado</th>
                   
                </tr>
                <?php if(count($a_ObjectBean)>0){ ?>
                    <?php foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
                        <?php
                        $i_Id = $o_objBean->getIdcreditocrono();
                        $i_IdCliente = $o_objBean->getIdCliente();
                        $s_Estado = $o_objBean->getEstado();
                        $s_Moneda = $o_objBean->getMoneda();
                        $s_FechaInicio = $o_objBean->getFechaTrx();
                        switch ($s_Estado) 
                        {
                            case "P":
                                $s_EstadoDesc = "PENDIENTE";
                            break;
                            case "C":
                                $s_EstadoDesc = "CANCELADO";
                            break;
                        }
                        switch ( $s_Moneda ) 
                        {
                            case "S":
                                $s_MonedaDesc = "SOLES";
                            break;
                            case "D":
                                $s_MonedaDesc = "DOLARES";
                            break;
                        }
                        //mysql_select_db( Conexion::getNameDb() );
                        $o_CrCreditoCuotaFN = new CrCreditoCuotaFN();
                        $o_CrCreditoCuotaFN->setIdcreditocrono( $i_Id );
                        $i_NumCuotas = $o_CrCreditoCuotaFN->selectNumRows();
                        
                        $o_ClienteBean = new ClienteBean();
                        $o_ClienteBean->setIdCliente( $o_objBean->getIdcliente() );
                        
                        $o_ClienteBL = new ClienteBL();
                        $a_Cliente = $o_ClienteBL->busquedaCliente( $o_ClienteBean );
                        $s_NombreCompleto = "";
                        if( $a_Cliente )
                        {
                            $o_ClienteBN = $a_Cliente[0];
                            $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
                            
                            $i_IdMercado =  $o_ClienteBN->getIdMercado();
                            $o_MercadoBean = new MercadoBean();
                            $o_MercadoBean->setIdMercado( $i_IdMercado );
                            
                            $o_MercadoBL = new MercadoBL();
                            $a_Mercado = $o_MercadoBL->busquedaMercado( $o_MercadoBean );
                            if( $a_Mercado )
                            {
                                $o_MercadoBN = $a_Mercado[0];
                                $s_DescripcionMercado = $o_MercadoBN->getDescripcion();
                            }
                        }
                        ?>
                <tr>
                    <td class="chk"><?php echo $iKey+1?></td>
                    <td align="left"><?php echo $i_IdCliente ?></td>
                    <td align="left"><?php echo $s_NombreCompleto ?></td>
                    <td align="center"><?php echo "HI-".$i_Id ?></td>
                    <td align="center"><?php echo str_replace('-','/',formatoFecha( $s_FechaInicio )) ?></td>
                    <td align="center"><?php echo $i_NumCuotas ?></td>
                    <td align="center"><?php echo $s_MonedaDesc ?></td>
                    <td align="center"><?php echo $o_objBean->getMontocapital() ?></td>
                    <td align="center"><?php echo $o_objBean->getMontototal() ?></td>
                    <td align="center" style="color:#ff0000"><?=$o_objBean->getDescuento()?></td>
                    <td align="center"><?php echo $s_EstadoDesc ?></td>
                   
                </tr>
                    <? } ?>
                <? }else{ ?>
                <tr>
                    <td colspan="8" align="center">No se produjo resultado</td>
                </tr>
                <? } ?>
            </table>
        </td>
    </tr>
    <tr>
        <td class="pie_grid">Total registros: <?php echo count($a_ObjectBean)?></td>
    </tr>
</table>